Bug 71460 - RFE: add srpm pkgid to binary packages.
RFE: add srpm pkgid to binary packages.
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-08-13 16:50 EDT by Jeff Johnson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-21 15:00:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Johnson 2002-08-13 16:50:57 EDT
Store the pkgid (SIGMD5) of the source rpm in a tag in the binary .rpm
(SOURCESIGMD5 or something), so we can verify whether a particular binary
.rpm came from a particular .src.rpm.

-- Elliot
Take a lesson from the whale; the only time he gets speared is when he
raises to spout.
Comment 1 Jeff Johnson 2002-12-21 15:00:36 EST
RPMTAG_SOURCEPKGID added to binary packages headers in rpm-4.2-0.34
when built.

Note that value is RPM_BIN_TYPE if accessing from bindings.

Note You need to log in before you can comment on or make changes to this bug.